import { Scalar } from '../scalar';
import { XExpression, Expression } from '../expression';
import { BINARY_COMPARE_OPERATOR, Condition, CONDITION_KIND } from './condition';
/**
 * 二元比较条件
 */
export declare class BinaryCompareCondition extends Condition {
    $left: Expression<Scalar>;
    $right: Expression<Scalar> | Expression<Scalar>[];
    $operator: BINARY_COMPARE_OPERATOR;
    $kind: CONDITION_KIND.BINARY_COMPARE;
    /**
     * 构造函数
     */
    constructor(operator: BINARY_COMPARE_OPERATOR, left: XExpression<Scalar>, right: XExpression<Scalar> | XExpression<Scalar>[]);
    static isBinaryCompareCondition(object: any): object is BinaryCompareCondition;
}
