import { SQL_SYMBOLE } from '../sql';
import { Condition, CONDITION_KIND, LOGIC_OPERATOR } from './condition';
/**
 * 二元逻辑查询条件条件
 */
export declare class BinaryLogicCondition extends Condition {
    $operator: LOGIC_OPERATOR;
    $left: Condition;
    $right: Condition;
    readonly $type: SQL_SYMBOLE.CONDITION;
    $kind: CONDITION_KIND.BINARY_LOGIC;
    /**
     * 创建二元逻辑查询条件实例
     */
    constructor(operator: LOGIC_OPERATOR, left: Condition, right: Condition);
    static isBinaryLogicCondition(object: any): object is BinaryLogicCondition;
}
