"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GroupCondition = void 0;
const condition_1 = require("./condition");
class GroupCondition extends condition_1.Condition {
    constructor(condition) {
        super();
        this.$kind = condition_1.CONDITION_KIND.GROUP;
        this.$inner = condition;
    }
    static isGroupCondition(object) {
        return (condition_1.Condition.isCondition(object) && object.$kind === condition_1.CONDITION_KIND.GROUP);
    }
}
exports.GroupCondition = GroupCondition;
