import { Scalar } from '../scalar';
import { XExpression, Expression } from '../expression';
import { Condition, CONDITION_KIND, UNARY_COMPARE_OPERATOR } from './condition';
/**
 * 一元比较条件
 */
export declare class UnaryCompareCondition extends Condition {
    $expr: Expression<Scalar>;
    $operator: UNARY_COMPARE_OPERATOR;
    $kind: CONDITION_KIND.UNARY_COMPARE;
    /**
     * 一元比较运算符
     * @param operator 运算符
     * @param expr 查询条件
     */
    constructor(operator: UNARY_COMPARE_OPERATOR, expr: XExpression<Scalar>);
    static isUnaryCompareCondition(object: any): object is UnaryCompareCondition;
}
