"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnaryLogicCondition = void 0;
const condition_1 = require("./condition");
/**
 * 一元逻辑查询条件
 */
class UnaryLogicCondition extends condition_1.Condition {
    /**
     * 创建一元逻辑查询条件实例
     * @param operator
     * @param next
     */
    constructor(operator, next) {
        super();
        this.$operator = condition_1.LOGIC_OPERATOR.NOT;
        this.$kind = condition_1.CONDITION_KIND.UNARY_LOGIC;
        this.$operator = operator;
        this.$condition = next;
    }
    static isUnaryLogicCondition(object) {
        return (condition_1.Condition.isCondition(object) &&
            object.$kind === condition_1.CONDITION_KIND.UNARY_LOGIC);
    }
}
exports.UnaryLogicCondition = UnaryLogicCondition;
