"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Document = void 0;
const sql_1 = require("./sql");
/**
 * SQL 文档
 */
class Document extends sql_1.Sql {
    constructor(statements) {
        super();
        this.$type = sql_1.SQL_SYMBOLE.DOCUMENT;
        this.statements = statements;
    }
    static isDocument(object) {
        return object?.$type === sql_1.SQL_SYMBOLE.DOCUMENT;
    }
    append(sql) {
        this.statements.push(sql);
    }
}
exports.Document = Document;
