import { Scalar } from '../scalar';
import { XExpression, Expression } from './expression';
import { BINARY_OPERATION_OPERATOR, Operation, OPERATION_KIND } from './common/operation';
/**
 * 二元运算表达式
 */
export declare class BinaryOperation<T extends Scalar = Scalar> extends Operation<T> {
    readonly $kind: OPERATION_KIND.BINARY;
    $left: Expression<T>;
    $right: Expression<T>;
    $operator: BINARY_OPERATION_OPERATOR;
    static isBinaryOperation(object: any): object is BinaryOperation;
    /**
     * 名称
     */
    constructor(operator: BINARY_OPERATION_OPERATOR, left: XExpression<T>, right: XExpression<T>);
}
