import { Scalar } from '../../scalar';
import { XExpression, Expression } from '../expression';
export declare abstract class Assignable<T extends Scalar = any> extends Expression<T> {
    readonly $lvalue: true;
    /**
     * 赋值操作
     * @param left 左值
     * @param right 右值
     */
    set(value: XExpression<T>): Assignment<T>;
}
import { Assignment } from '../../statement';
