"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Assignable = void 0;
const expression_1 = require("../expression");
class Assignable extends expression_1.Expression {
    constructor() {
        super(...arguments);
        this.$lvalue = true;
    }
    /**
     * 赋值操作
     * @param left 左值
     * @param right 右值
     */
    set(value) {
        return new statement_1.Assignment(this, value);
    }
}
exports.Assignable = Assignable;
const statement_1 = require("../../statement");
