"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BuiltIn = void 0;
const db_object_1 = require("./db-object");
const sql_1 = require("../sql");
/**
 * SQL系统内建关键字，如MSSQL DATEPART: DAY / M / MM 等
 */
class BuiltIn extends db_object_1.DBObject {
    constructor(name) {
        super(name, true);
        this.$type = sql_1.SQL_SYMBOLE.BUILT_IN;
        this.$builtin = true;
    }
    static isBuiltIn(object) {
        return object?.$type === sql_1.SQL_SYMBOLE.BUILT_IN;
    }
}
exports.BuiltIn = BuiltIn;
