"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Raw = void 0;
const sql_1 = require("./sql");
/**
 * 原始SQL，用于将SQL代码插入语句任何部位
 */
class Raw extends sql_1.Sql {
    constructor(sql) {
        super();
        this.$type = sql_1.SQL_SYMBOLE.RAW;
        this.$sql = sql;
    }
    static isRaw(value) {
        return value?.$type === sql_1.SQL_SYMBOLE.RAW;
    }
}
exports.Raw = Raw;
