"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WithSelect = void 0;
const sql_1 = require("../sql");
const rowset_1 = require("./rowset");
class WithSelect extends rowset_1.Rowset {
    constructor(name, select) {
        super();
        this.$type = sql_1.SQL_SYMBOLE.WITH_SELECT;
        this.$name = name;
        this.$select = select;
        this.$proxy();
    }
    static isWithSelect(object) {
        return object?.$type === sql_1.SQL_SYMBOLE.WITH_SELECT;
    }
    static create(name, select) {
        return new WithSelect(name, select);
    }
}
exports.WithSelect = WithSelect;
