import { Binary, Scalar, BaseScalar, List } from './scalar';
export declare function isBaseScalar(value: any): value is BaseScalar;
/**
 * 判断一个对象是否是集合
 */
export declare function isScalar(value: any): value is Scalar;
/**
 * 判断一个对象是不是一个数据库合法的列表(数组)类型
 */
export declare function isList(value: any, MAX_SEARCH_SIZE?: number): value is List;
/**
 * 判断是否为二进制类型
 * @param value
 * @returns
 */
export declare function isBinary(value: any): value is Binary;
