import { Assignable, XExpression, Expression } from '../../expression';
import { Scalar } from '../../scalar';
import { Statement, STATEMENT_KIND, STATEMENT_TAG } from '../statement';
/**
 * 赋值语句
 */
export declare class Assignment<T extends Scalar = Scalar> extends Statement {
    static isAssignment(object: any): object is Assignment;
    left: Assignable<T>;
    right: Expression<T>;
    $kind: STATEMENT_KIND.ASSIGNMENT;
    $tag: STATEMENT_TAG.CONTROL;
    constructor(left: Assignable<T>, right: XExpression<T>);
}
