"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Return = void 0;
const expression_1 = require("../../expression");
const statement_1 = require("../statement");
class Return extends statement_1.Statement {
    constructor(value) {
        super();
        this.$kind = statement_1.STATEMENT_KIND.RETURN;
        this.$tag = statement_1.STATEMENT_TAG.CONTROL;
        this.$value = expression_1.Expression.ensureExpression(value ?? null);
    }
    static isReturn(object) {
        return (statement_1.Statement.isStatement(object) && object.$kind === statement_1.STATEMENT_KIND.RETURN);
    }
}
exports.Return = Return;
