import { Condition } from '../../condition';
import { Statement, STATEMENT_KIND, STATEMENT_TAG } from '../statement';
export declare class While extends Statement {
    $kind: STATEMENT_KIND.WHILE;
    $condition: Condition;
    $statement?: Statement;
    $tag: STATEMENT_TAG.CONTROL;
    constructor(condition: Condition);
    do(...statements: Statement[] | [Statement | Statement[]]): this;
    static isWhile(object: any): object is While;
}
