import { Sql, SQL_SYMBOLE } from '../../../sql';
import { Condition } from '../../../condition';
import { XObjectName } from '../../../object';
import { Rowset, XRowsets } from '../../../rowset';
/**
 * 联接查询
 */
export declare class Join extends Sql {
    readonly $type: SQL_SYMBOLE.JOIN;
    $left: boolean;
    $table: Rowset;
    $on: Condition;
    /**
     * 创建一个表关联
     * @param table
     * @param on 关联条件
     * @param left 是否左联接
     */
    constructor(table: XRowsets<any> | XObjectName, on: Condition, left?: boolean);
}
