"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SelectColumn = void 0;
const sql_1 = require("../../sql");
/**
 * 列表达式
 */
class SelectColumn extends sql_1.Sql {
    /**
     * 别名构造函数
     * @param expr 表达式或表名
     * @param name 别名
     */
    constructor(name, expr) {
        super();
        this.$type = sql_1.SQL_SYMBOLE.SELECT_COLUMN;
        this.$name = name;
        // assertType(expr, [DbObject, Field, Constant, Select], 'alias must type of DbObject|Field|Constant|Bracket<Select>')
        this.$expr = expr;
    }
    static isSelectColumn(object) {
        return object.$type === sql_1.SQL_SYMBOLE.SELECT_COLUMN;
    }
}
exports.SelectColumn = SelectColumn;
