"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Sort = void 0;
const sql_1 = require("../../sql");
const expression_1 = require("../../expression");
class Sort extends sql_1.Sql {
    constructor(expr, direction = 'ASC') {
        super();
        this.$type = sql_1.SQL_SYMBOLE.SORT;
        this.$expr = expression_1.Expression.ensureExpression(expr);
        this.$direction = direction;
    }
    static isSort(object) {
        return object?.$type === sql_1.SQL_SYMBOLE.SORT;
    }
}
exports.Sort = Sort;
