"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlterDatabase = void 0;
const statement_1 = require("../statement");
class AlterDatabase extends statement_1.Statement {
    constructor(name) {
        super();
        this.$kind = statement_1.STATEMENT_KIND.ALTER_DATABASE;
        this.$tag = statement_1.STATEMENT_TAG.EXECUTABLE;
        this.$name = name;
    }
    static isAlterDatabase(object) {
        return statement_1.Statement.isStatement(object) && object.$kind === statement_1.STATEMENT_KIND.ALTER_DATABASE;
    }
    collate(collate) {
        this.$collate = collate;
        return this;
    }
}
exports.AlterDatabase = AlterDatabase;
