import { XObjectName } from '../../object';
import { RowObject } from '../../types';
import { Select } from '../query';
import { Statement, STATEMENT_KIND, STATEMENT_TAG } from '../statement';
export declare class AlterView<T extends RowObject = any, N extends string = string> extends Statement {
    static isAlterView(object: any): object is AlterView;
    $kind: STATEMENT_KIND.ALTER_VIEW;
    $name: XObjectName<N>;
    $body?: Select<T>;
    $tag: STATEMENT_TAG.EXECUTABLE;
    constructor(name: XObjectName<N>);
    as(select: Select<T>): this;
}
