import { Sql, SQL_SYMBOLE } from '../../sql';
import { Condition } from '../../condition';
/**
 * 检查约束
 */
export declare class CheckConstraint extends Sql {
    static isCheckConstraint(object: any): object is CheckConstraint;
    readonly $type: SQL_SYMBOLE.CHECK_CONSTRAINT;
    $name?: string;
    $sql: Condition;
    constructor(sql: Condition, name?: string);
}
export declare type CheckConstraintBuilder = {
    (sql: Condition): CheckConstraint;
    (name: string, sql: Condition): CheckConstraint;
};
