import { Sql, SQL_SYMBOLE } from '../../sql';
import { DbType } from '../../db-type';
export declare abstract class ColumnDeclare<N extends string = string, T extends DbType = DbType> extends Sql {
    abstract $type: SQL_SYMBOLE.ALTER_TABLE_COLUMN | SQL_SYMBOLE.CREATE_TABLE_COLUMN;
    $name: N;
    $nullable?: boolean;
    $dbType: T;
    constructor(name: N, type: T);
    null(): this;
    notNull(): this;
}
