import { Statement, STATEMENT_KIND, STATEMENT_TAG } from '../statement';
import { CreateBehavior } from './types';
export declare class CreateSchema extends Statement {
    $kind: STATEMENT_KIND.CREATE_SCHEMA;
    $name: string;
    $tag: STATEMENT_TAG.EXECUTABLE;
    $behavior?: CreateBehavior;
    static isCreateSchema(object: any): object is CreateSchema;
    constructor(name: string);
}
export declare const CreateSchemaBuilder: {
    (name: string): CreateSchema;
    ifNotExists(name: string): CreateSchema;
};
export declare type CreateSchemaBuilder = typeof CreateSchemaBuilder;
