import { Statement, STATEMENT_KIND, STATEMENT_TAG } from '../statement';
import { DropBehavior } from './types';
export declare class DropDatabase extends Statement {
    $kind: STATEMENT_KIND.DROP_DATABASE;
    $name: string;
    $tag: STATEMENT_TAG.EXECUTABLE;
    $behavior: DropBehavior;
    static isDropDatabase(object: any): object is DropDatabase;
    constructor(name: string);
}
export declare function DropDatabaseBuilder(name: string): DropDatabase;
export declare namespace DropDatabaseBuilder {
    var ifExists: (name: string) => DropDatabase;
}
export declare type DropDatabaseBuilder = typeof DropDatabaseBuilder;
