import { XObjectName } from '../../object';
import { Statement, STATEMENT_KIND, STATEMENT_TAG } from '../statement';
import { DropBehavior } from './types';
export declare class DropFunction<N extends string = string> extends Statement {
    static isDropFunction(object: any): object is DropFunction;
    $kind: STATEMENT_KIND.DROP_FUNCTION;
    $name: XObjectName<N>;
    $behavior: DropBehavior;
    $tag: STATEMENT_TAG.EXECUTABLE;
    constructor(name: XObjectName<N>);
}
export declare function DropFunctionBuilder(name: XObjectName): DropFunction;
export declare namespace DropFunctionBuilder {
    var ifExists: (name: XObjectName<string>) => DropFunction<string>;
}
export declare type DropFunctionBuilder = typeof DropFunctionBuilder;
