import { XObjectName } from '../../object';
import { Statement, STATEMENT_KIND, STATEMENT_TAG } from '../statement';
import { DropBehavior } from './types';
export declare class DropProcedure<N extends string = string> extends Statement {
    static isDropProcedure(object: any): object is DropProcedure;
    $kind: STATEMENT_KIND.DROP_PROCEDURE;
    $name: XObjectName<N>;
    $behavior: DropBehavior;
    $tag: STATEMENT_TAG.EXECUTABLE;
    constructor(name: XObjectName<N>);
}
export declare function DropProcedureBuilder(name: XObjectName): DropProcedure;
export declare namespace DropProcedureBuilder {
    var ifExists: (name: XObjectName<string>) => DropProcedure<string>;
}
export declare type DropProcedureBuilder = typeof DropProcedureBuilder;
