import { XObjectName } from '../../object';
import { Statement, STATEMENT_KIND, STATEMENT_TAG } from '../statement';
import { DropBehavior } from './types';
export declare class DropSequence<N extends string = string> extends Statement {
    static isDropSequence(object: any): object is DropSequence;
    $kind: STATEMENT_KIND.DROP_SEQUENCE;
    $name: XObjectName<N>;
    $behavior: DropBehavior;
    $tag: STATEMENT_TAG.EXECUTABLE;
    constructor(name: XObjectName<N>);
}
export declare function DropSequenceBuilder(name: XObjectName): DropSequence;
export declare namespace DropSequenceBuilder {
    var ifExists: (name: XObjectName<string>) => DropSequence<string>;
}
export declare type DropSequenceBuilder = typeof DropSequenceBuilder;
