import { XObjectName } from '../../object';
import { Statement, STATEMENT_KIND, STATEMENT_TAG } from '../statement';
import { DropBehavior } from './types';
export declare class DropView<N extends string = string> extends Statement {
    static isDropView(object: any): object is DropView;
    $kind: STATEMENT_KIND.DROP_VIEW;
    $name: XObjectName<N>;
    $behavior: DropBehavior;
    $tag: STATEMENT_TAG.EXECUTABLE;
    constructor(name: XObjectName<N>);
}
export declare function DropViewBuilder(name: XObjectName): DropView;
export declare namespace DropViewBuilder {
    var ifExists: (name: XObjectName<string>) => DropView<string>;
}
export declare type DropViewBuilder = typeof DropViewBuilder;
