import { Sql, SQL_SYMBOLE } from '../../sql';
import { KeyColumns, KeyColumnsObject } from './key-column';
export declare class PrimaryKey extends Sql {
    static isPrimaryKey(object: any): object is PrimaryKey;
    readonly $type: SQL_SYMBOLE.PRIMARY_KEY;
    $name?: string;
    /**
     * 声明为非聚焦主键
     */
    $nonclustered: boolean;
    $columns?: KeyColumns;
    constructor(name?: string, columns?: KeyColumns | string[] | KeyColumnsObject);
    on(columns: KeyColumns | string[] | KeyColumnsObject): this;
    on(...columns: string[]): this;
    withNoclustered(): this;
}
