import { Sql, SQL_SYMBOLE } from '../../sql';
import { KeyColumns, KeyColumnsObject } from './key-column';
/**
 * 唯一约束
 */
export declare class UniqueKey extends Sql {
    static isUniqueKey(object: any): object is UniqueKey;
    readonly $type: SQL_SYMBOLE.UNIQUE_KEY;
    $name?: string;
    $columns?: KeyColumns;
    constructor(name?: string, columns?: KeyColumns | string[] | KeyColumnsObject);
    on(columns: KeyColumns | string[] | KeyColumnsObject): this;
}
