"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VirtualStatement = void 0;
const statement_1 = require("./statement");
class VirtualStatement extends statement_1.Statement {
    constructor(kind, datas) {
        super();
        this.$kind = statement_1.STATEMENT_KIND.STANDARD_STATEMENT;
        this.$tag = statement_1.STATEMENT_TAG.EXECUTABLE;
        this.$name = kind;
        this.$datas = datas;
    }
    static isVirtualStatement(object) {
        return (statement_1.Statement.isStatement(object) &&
            object.$kind === statement_1.STATEMENT_KIND.STANDARD_STATEMENT);
    }
}
exports.VirtualStatement = VirtualStatement;
