"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.repository = exports.detail = exports.principal = exports.foreignKey = exports.among = exports.manyToOne = exports.manyToMany = exports.oneToOne = exports.oneToMany = exports.unique = exports.index = exports.data = exports.key = exports.query = exports.view = exports.table = exports.database = exports.connection = exports.context = exports.comment = exports.type = exports.autogen = exports.calculate = exports.nullable = exports.identity = exports.rowflag = exports.defaultValue = exports.column = void 0;
var column_decorators_1 = require("./column-decorators");
Object.defineProperty(exports, "column", { enumerable: true, get: function () { return column_decorators_1.column; } });
Object.defineProperty(exports, "defaultValue", { enumerable: true, get: function () { return column_decorators_1.defaultValue; } });
Object.defineProperty(exports, "rowflag", { enumerable: true, get: function () { return column_decorators_1.rowflag; } });
Object.defineProperty(exports, "identity", { enumerable: true, get: function () { return column_decorators_1.identity; } });
Object.defineProperty(exports, "nullable", { enumerable: true, get: function () { return column_decorators_1.nullable; } });
Object.defineProperty(exports, "calculate", { enumerable: true, get: function () { return column_decorators_1.calculate; } });
Object.defineProperty(exports, "autogen", { enumerable: true, get: function () { return column_decorators_1.autogen; } });
Object.defineProperty(exports, "type", { enumerable: true, get: function () { return column_decorators_1.type; } });
var comment_decorators_1 = require("./comment-decorators");
Object.defineProperty(exports, "comment", { enumerable: true, get: function () { return comment_decorators_1.comment; } });
var context_decorators_1 = require("./context-decorators");
Object.defineProperty(exports, "context", { enumerable: true, get: function () { return context_decorators_1.context; } });
Object.defineProperty(exports, "connection", { enumerable: true, get: function () { return context_decorators_1.connection; } });
Object.defineProperty(exports, "database", { enumerable: true, get: function () { return context_decorators_1.database; } });
var entity_decorators_1 = require("./entity-decorators");
Object.defineProperty(exports, "table", { enumerable: true, get: function () { return entity_decorators_1.table; } });
Object.defineProperty(exports, "view", { enumerable: true, get: function () { return entity_decorators_1.view; } });
Object.defineProperty(exports, "query", { enumerable: true, get: function () { return entity_decorators_1.query; } });
Object.defineProperty(exports, "key", { enumerable: true, get: function () { return entity_decorators_1.key; } });
Object.defineProperty(exports, "data", { enumerable: true, get: function () { return entity_decorators_1.data; } });
var index_decorators_1 = require("./index-decorators");
Object.defineProperty(exports, "index", { enumerable: true, get: function () { return index_decorators_1.index; } });
Object.defineProperty(exports, "unique", { enumerable: true, get: function () { return index_decorators_1.unique; } });
var relation_decorators_1 = require("./relation-decorators");
Object.defineProperty(exports, "oneToMany", { enumerable: true, get: function () { return relation_decorators_1.oneToMany; } });
Object.defineProperty(exports, "oneToOne", { enumerable: true, get: function () { return relation_decorators_1.oneToOne; } });
Object.defineProperty(exports, "manyToMany", { enumerable: true, get: function () { return relation_decorators_1.manyToMany; } });
Object.defineProperty(exports, "manyToOne", { enumerable: true, get: function () { return relation_decorators_1.manyToOne; } });
Object.defineProperty(exports, "among", { enumerable: true, get: function () { return relation_decorators_1.among; } });
Object.defineProperty(exports, "foreignKey", { enumerable: true, get: function () { return relation_decorators_1.foreignKey; } });
Object.defineProperty(exports, "principal", { enumerable: true, get: function () { return relation_decorators_1.principal; } });
Object.defineProperty(exports, "detail", { enumerable: true, get: function () { return relation_decorators_1.detail; } });
var repository_1 = require("./repository");
Object.defineProperty(exports, "repository", { enumerable: true, get: function () { return repository_1.repository; } });
