import { KeyMetadata } from "../metadata";
import { EntityBuilder } from "./entity-builder";
export declare class TableKeyBuilder {
    private entityBuilder;
    readonly metadata: KeyMetadata;
    constructor(entityBuilder: EntityBuilder<any>, metadata: KeyMetadata);
    hasComment(comment: string): this;
    /**
     * 指定约束名称
     * @param constraintName
     * @returns
     */
    hasConstraintName(constraintName: string): this;
    /**
     * 将主键声明为非聚焦
     * @returns
     */
    isNonclustered(): this;
}
