import { Scalar } from '../../core';
import { Entity } from '../entity';
export declare type HasManyKeyOf<T extends Entity> = {
    [P in keyof T]: P extends string ? T[P] extends Entity[] ? P : never : never;
}[keyof T];
export declare type HasOneKeyOf<T extends Entity> = {
    [P in keyof T]: P extends string ? (T[P] extends Entity ? P : never) : never;
}[keyof T];
export declare type ColumnKeyOf<T extends Entity> = {
    [P in keyof T]: P extends string ? (NonNullable<T[P]> extends Scalar ? P : never) : never;
}[keyof T];
