import { FetchRelations, ScalarDataType } from './data-types';
export declare function selectProperty(selector: (p: any) => any): any;
export declare function isScalarType(value: any): value is ScalarDataType;
export declare function lowerFirst(str: string): string;
/**
 * 转换为复数
 * @param word 单词
 * @returns
 */
export declare function complex(word: string): string;
export declare function upperFirst(str: string): string;
export declare function camelCase(str: string): string;
/**
 * 书写风格
 */
export declare enum CaseStyle {
    upperCase = 1,
    lowerCase = 2,
    upperCamelCase = 3,
    lowerCamelCase = 4
}
export declare function getCaseStyle(str: string): CaseStyle;
/**
 * 判断一个函数是否为类声明
 * 注意，此方法在编译目标为ES5及以下版本中无效！
 */
export declare function isClass(func: Function): boolean;
export declare function mergeFetchRelations(...includes: (FetchRelations | undefined)[]): FetchRelations | undefined;
