import { Parameter } from '../sql';
import { Connection, ISOLATION_LEVEL } from './connection';
import { Executor } from './executor';
import { Pool } from './pool';
import { Sqlifier } from './sqlifier';
import { QueryResult } from './types';
export declare class PoolExecutor extends Executor {
    private readonly pool;
    constructor(pool: Pool);
    trans<T>(handler: (connection: Connection, abort: (message?: string) => void) => Promise<T>, isolationLevel?: ISOLATION_LEVEL): Promise<T>;
    protected doQuery(sql: string, params?: Parameter<any, string>[]): Promise<QueryResult<any, any, any>>;
    protected get sqlifier(): Sqlifier;
}
