import { Connection, ConnectOptions } from './base/connection';
import { PoolOptions, Pool } from './base/pool';
/**
 * 连接数据库并返回一个连接池
 * @param {*} config
 */
export declare function createConnection(cfgOrUrl?: string): Promise<Connection>;
export declare function createConnection(options: ConnectOptions): Promise<Connection>;
export declare function createConnection(optOrUrlOrCfg?: ConnectOptions | string): Promise<Connection>;
export declare function createPool(cfgKey?: string): Promise<Pool>;
export declare function createPool(options: PoolOptions & {
    connection: ConnectOptions;
}): Promise<Pool>;
export declare function createPool(optOrCfg?: (PoolOptions & {
    connection: ConnectOptions;
}) | string): Promise<Pool>;
