import { ConnectOptions } from './base/connection';
import { DbProvider, DbProviderFactory } from './base/db-provider';
/**
 * 注册一个方言支持
 * @param driver 驱动可以是connect函数，亦可以是npm包或路径
 */
export declare function register(name: string, driver: DbProviderFactory): Promise<void>;
export declare function getProvider(dialect: string): DbProvider;
export declare function prepareConnectOption(options: ConnectOptions): void;
