"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExistsCondition = void 0;
const condition_1 = require("./condition");
/**
 * 一元比较条件
 */
class ExistsCondition extends condition_1.Condition {
    /**
     * EXISTS子句
     * @param expr 查询条件
     */
    constructor(expr) {
        super();
        this.$kind = condition_1.CONDITION_KIND.EXISTS;
        this.$statement = expr;
    }
    static isExistsCondition(object) {
        return (condition_1.Condition.isCondition(object) && object.$kind === condition_1.CONDITION_KIND.EXISTS);
    }
}
exports.ExistsCondition = ExistsCondition;
