import { SQL_SYMBOLE } from '../sql';
import { Scalar } from '../scalar/scalar';
import { XExpression, Expression } from './expression';
/**
 * 括号表达式
 */
export declare class GroupExpression<T extends Scalar = Scalar> extends Expression<T> {
    readonly $type: SQL_SYMBOLE.GROUP_EXPRESSION;
    $inner: Expression<T>;
    static isGroupExpression(object: any): object is GroupExpression;
    constructor(inner: XExpression<T>);
}
