"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GroupExpression = void 0;
const sql_1 = require("../sql");
const expression_1 = require("./expression");
/**
 * 括号表达式
 */
class GroupExpression extends expression_1.Expression {
    constructor(inner) {
        super();
        this.$type = sql_1.SQL_SYMBOLE.GROUP_EXPRESSION;
        this.$inner = expression_1.Expression.ensureExpression(inner);
    }
    static isGroupExpression(object) {
        return object?.$type === sql_1.SQL_SYMBOLE.GROUP_EXPRESSION;
    }
}
exports.GroupExpression = GroupExpression;
