"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ValuedSelect = void 0;
const sql_1 = require("../sql");
const expression_1 = require("./expression");
/**
 * 表达式化后的SELECT语句，通常用于 in 语句，或者当作值当行值使用
 */
class ValuedSelect extends expression_1.Expression {
    constructor(select) {
        super();
        this.$type = sql_1.SQL_SYMBOLE.VALUED_SELECT;
        this.$select = select;
    }
    static isValuedSelect(object) {
        return object?.$type === sql_1.SQL_SYMBOLE.VALUED_SELECT;
    }
}
exports.ValuedSelect = ValuedSelect;
