import { SQL_SYMBOLE } from '../sql';
import { Scalar } from '../scalar';
import { Assignable } from './common/assignable';
import { DbType, DbTypeFromScalar } from '../db-type';
/**
 * 标量变量引用，暂不支持表变量
 */
export declare class Variant<T extends Scalar = any, N extends string = string> extends Assignable<T> {
    readonly $type: SQL_SYMBOLE.VARIANT;
    static isVariant(object: any): object is Variant;
    constructor(name: N, dbType: DbTypeFromScalar<T>);
    $builtin: boolean;
    $dbType: DbType;
    $name: N;
}
