"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Variant = void 0;
const sql_1 = require("../sql");
const assignable_1 = require("./common/assignable");
/**
 * 标量变量引用，暂不支持表变量
 */
class Variant extends assignable_1.Assignable {
    constructor(name, dbType) {
        super();
        this.$type = sql_1.SQL_SYMBOLE.VARIANT;
        this.$name = name;
        this.$dbType = dbType;
    }
    static isVariant(object) {
        return (object?.$type === sql_1.SQL_SYMBOLE.VARIANT ||
            object?.$type === sql_1.SQL_SYMBOLE.FUNCTION_PARAMETER ||
            object?.$type === sql_1.SQL_SYMBOLE.PROCEDURE_PARAMETER);
    }
}
exports.Variant = Variant;
