import { DBObject } from './db-object';
import { SQL_SYMBOLE } from '../sql';
/**
 * SQL系统内建关键字，如MSSQL DATEPART: DAY / M / MM 等
 */
export declare class BuiltIn<N extends string = string> extends DBObject {
    readonly $type: SQL_SYMBOLE.BUILT_IN;
    $name: N;
    readonly $builtin: true;
    static isBuiltIn(object: any): object is BuiltIn;
    constructor(name: N);
}
