"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pickName = exports.DBObject = void 0;
const sql_1 = require("../sql");
/**
 * 对象标识符，如表对象，存储过程，函数等的基类
 */
class DBObject extends sql_1.Sql {
    constructor(name, builtIn = false) {
        super();
        this.$name = name;
        this.$builtin = builtIn;
    }
}
exports.DBObject = DBObject;
function pickName(name) {
    return typeof name === 'string' ? name : name.name;
}
exports.pickName = pickName;
