import { Numeric } from '../scalar';
import { SQL_SYMBOLE } from '../sql';
import { DBObject } from './db-object';
export declare class Sequence<T extends Numeric = Numeric, N extends string = string> extends DBObject<N> {
    readonly $type: SQL_SYMBOLE.SEQUENCE;
    /**
     * 获取值
     */
    nextValue(): Expression<T>;
}
import type { Expression } from '../expression';
