"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Sequence = void 0;
const sql_1 = require("../sql");
const db_object_1 = require("./db-object");
class Sequence extends db_object_1.DBObject {
    constructor() {
        super(...arguments);
        this.$type = sql_1.SQL_SYMBOLE.SEQUENCE;
    }
    /**
     * 获取值
     */
    nextValue() {
        return sql_builder_1.SQL.nextValue((0, db_object_1.pickName)(this.$name));
    }
}
exports.Sequence = Sequence;
const sql_builder_1 = require("../../sql-builder");
