export declare class Time {
    constructor();
    constructor(hours: number, minutes?: number, seconds?: number, milliSeconds?: number);
    constructor(time: string);
    private _time;
    valueOf(): number;
    get hours(): number;
    set hours(value: number);
    get minutes(): number;
    set minutes(value: number);
    get seconds(): number;
    set seconds(value: number);
    get milliSeconds(): number;
    set milliSeconds(value: number);
    private static isInvalid;
    private _checkRange;
    add(interval: number, unit: 'hour' | 'h' | 'minute' | 'm' | 'second' | 's' | 'millisecond' | 'ms'): this;
    /**
     * 序列化
     */
    toJSON(): string;
    /**
     * 长时间字符串，12:00:00.000
     */
    toString(): string;
    /**
     * 短时间字符串, 12:00:00
     */
    toShortString(): string;
    private _toTicks;
    private static time_reg;
    private _parseTime;
}
