import { Statement, STATEMENT_KIND, STATEMENT_TAG } from "./statement";
export declare type AnnotationKind = 'LINE' | 'BLOCK';
export declare class Annotation extends Statement {
    static isAnnotation(object: any): object is Annotation;
    $kind: STATEMENT_KIND.ANNOTATION;
    $style: AnnotationKind;
    $text: string;
    $tag: STATEMENT_TAG.CONTROL;
    constructor(kind: AnnotationKind, text: string);
}
