"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Annotation = void 0;
const statement_1 = require("./statement");
class Annotation extends statement_1.Statement {
    constructor(kind, text) {
        super();
        this.$kind = statement_1.STATEMENT_KIND.ANNOTATION;
        this.$tag = statement_1.STATEMENT_TAG.CONTROL;
        this.$style = kind;
        this.$text = text;
    }
    static isAnnotation(object) {
        return statement_1.Statement.isStatement(object) && object.$kind === statement_1.STATEMENT_KIND.ANNOTATION;
    }
}
exports.Annotation = Annotation;
