import { Declare } from '.';
import { Statement, STATEMENT_KIND, STATEMENT_TAG } from '../statement';
/**
 * 语句块
 */
export declare class Block extends Statement {
    $kind: STATEMENT_KIND.BLOCK;
    $body: Statement[];
    $declares?: Declare;
    $tag: STATEMENT_TAG.CONTROL;
    constructor(statements: Statement[], declares?: Declare);
    append(...statements: Statement[]): void;
    static isBlock(object: any): object is Block;
}
