"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Break = void 0;
const statement_1 = require("../statement");
class Break extends statement_1.Statement {
    constructor() {
        super(...arguments);
        this.$kind = statement_1.STATEMENT_KIND.BREAK;
        this.$tag = statement_1.STATEMENT_TAG.CONTROL;
    }
    static isBreak(object) {
        return (statement_1.Statement.isStatement(object) && object.$kind === statement_1.STATEMENT_KIND.BREAK);
    }
    isBreak(object) {
        return (statement_1.Statement.isStatement(object) && object.$kind === statement_1.STATEMENT_KIND.BREAK);
    }
}
exports.Break = Break;
