"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Continue = void 0;
const statement_1 = require("../statement");
class Continue extends statement_1.Statement {
    constructor() {
        super(...arguments);
        this.$kind = statement_1.STATEMENT_KIND.CONTINUE;
        this.$tag = statement_1.STATEMENT_TAG.CONTROL;
    }
    static isContinue(object) {
        return (statement_1.Statement.isStatement(object) && object.$kind === statement_1.STATEMENT_KIND.CONTINUE);
    }
}
exports.Continue = Continue;
