import { Statement } from '../statement';
import { Variant } from '../../expression';
import { TableVariant } from '../../rowset';
import { Block } from './block';
import { Sql, SQL_SYMBOLE } from '../../sql';
/**
 * 声明语句，暂时只支持变量声明
 */
export declare class Declare extends Sql {
    static isDeclare(object: any): object is Declare;
    $declares: (Variant | TableVariant)[];
    readonly $type: SQL_SYMBOLE.DECLARE;
    constructor(members: (Variant | TableVariant)[]);
    do(...statements: Statement[] | [Statement[]]): Block;
}
