"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Declare = void 0;
const block_1 = require("./block");
const sql_1 = require("../../sql");
/**
 * 声明语句，暂时只支持变量声明
 */
class Declare extends sql_1.Sql {
    constructor(members) {
        super();
        this.$type = sql_1.SQL_SYMBOLE.DECLARE;
        this.$declares = members;
    }
    static isDeclare(object) {
        return object?.$type === sql_1.SQL_SYMBOLE.DECLARE;
    }
    do(...statements) {
        if (Array.isArray(statements[0])) {
            statements = statements[0];
        }
        const block = new block_1.Block(statements, this);
        return block;
    }
}
exports.Declare = Declare;
