import { XCondition, Condition } from '../../condition';
import { XTables, Table } from '../../rowset';
import { RowObject } from '../../types';
import { STATEMENT_KIND, STATEMENT_TAG } from '../statement';
import { Fromable } from './common/fromable';
export declare class Delete<T extends RowObject = any> extends Fromable<T> {
    static isDelete(object: any): object is Delete;
    $table: Table<T>;
    $kind: STATEMENT_KIND.DELETE;
    $tag: STATEMENT_TAG.EXECUTABLE;
    constructor(table: XTables<T>);
    protected ensureCondition(condition: XCondition<T>): Condition;
}
