import { Sql, SQL_SYMBOLE } from '../../sql';
import { RowObject } from '../../types';
import type { Select } from './select';
/**
 * 联接查询
 */
export declare class Union<T extends RowObject = any> extends Sql {
    $select: Select<T>;
    $all: boolean;
    readonly $type: SQL_SYMBOLE.UNION;
    /**
     *
     * @param select SELECT语句
     * @param all 是否所有查询
     */
    constructor(select: Select<T>, all?: boolean);
}
