"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlterView = void 0;
const statement_1 = require("../statement");
class AlterView extends statement_1.Statement {
    constructor(name) {
        super();
        this.$kind = statement_1.STATEMENT_KIND.ALTER_VIEW;
        this.$tag = statement_1.STATEMENT_TAG.EXECUTABLE;
        this.$name = name;
    }
    static isAlterView(object) {
        return (statement_1.Statement.isStatement(object) &&
            object.$kind === statement_1.STATEMENT_KIND.ALTER_VIEW);
    }
    as(select) {
        this.$body = select;
        return this;
    }
}
exports.AlterView = AlterView;
