"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CheckConstraint = void 0;
const sql_1 = require("../../sql");
/**
 * 检查约束
 */
class CheckConstraint extends sql_1.Sql {
    constructor(sql, name) {
        super();
        this.$type = sql_1.SQL_SYMBOLE.CHECK_CONSTRAINT;
        this.$name = name;
        this.$sql = sql;
    }
    static isCheckConstraint(object) {
        return object?.$type === sql_1.SQL_SYMBOLE.CHECK_CONSTRAINT;
    }
}
exports.CheckConstraint = CheckConstraint;
