"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ColumnDeclareForAlter = void 0;
const sql_1 = require("../../sql");
const column_declare_1 = require("./column-declare");
class ColumnDeclareForAlter extends column_declare_1.ColumnDeclare {
    constructor() {
        super(...arguments);
        this.$type = sql_1.SQL_SYMBOLE.ALTER_TABLE_COLUMN;
    }
    static isColumnDeclareForAlter(object) {
        return object?.$type === sql_1.SQL_SYMBOLE.ALTER_TABLE_COLUMN;
    }
}
exports.ColumnDeclareForAlter = ColumnDeclareForAlter;
