"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ColumnDeclare = void 0;
const sql_1 = require("../../sql");
class ColumnDeclare extends sql_1.Sql {
    constructor(name, type) {
        super();
        this.$name = name;
        this.$dbType = type;
    }
    null() {
        this.$nullable = true;
        return this;
    }
    notNull() {
        this.$nullable = false;
        return this;
    }
}
exports.ColumnDeclare = ColumnDeclare;
