import { Statement, STATEMENT_KIND, STATEMENT_TAG } from '../statement';
import { CreateBehavior } from './types';
export declare class CreateDatabase extends Statement {
    $kind: STATEMENT_KIND.CREATE_DATABASE;
    $name: string;
    $collate?: string;
    $tag: STATEMENT_TAG.EXECUTABLE;
    $behavior?: CreateBehavior;
    static isCreateDatabase(object: any): object is CreateDatabase;
    constructor(name: string);
    collate(collate: string): void;
}
export declare const CreateDatabaseBuilder: {
    (name: string): CreateDatabase;
    ifNotExists(name: string): CreateDatabase;
};
export declare type CreateDatabaseBuilder = typeof CreateDatabaseBuilder;
