import { XObjectName } from '../../object';
import { Statement, STATEMENT_KIND, STATEMENT_TAG } from '../statement';
import { KeyColumns, KeyColumnsObject } from './key-column';
export declare class CreateIndex extends Statement {
    static isCreateIndex(object: any): object is CreateIndex;
    $kind: STATEMENT_KIND.CREATE_INDEX;
    $name?: string;
    $table?: XObjectName;
    $columns?: KeyColumns;
    $clustered: boolean;
    $unique: boolean;
    $tag: STATEMENT_TAG.EXECUTABLE;
    constructor(name: string);
    clustered(): this;
    unique(): this;
    on(table: XObjectName, columns: KeyColumns | string[] | KeyColumnsObject): this;
}
