import { XObjectName } from '../../object';
import { Statement, STATEMENT_KIND, STATEMENT_TAG } from '../statement';
export declare class DropIndex<N extends string = string> extends Statement {
    static isDropIndex(object: any): object is DropIndex;
    $kind: STATEMENT_KIND.DROP_INDEX;
    $table: XObjectName;
    $tag: STATEMENT_TAG.EXECUTABLE;
    $name: N;
    constructor(table: XObjectName, name: N);
}
