"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DropIndex = void 0;
const statement_1 = require("../statement");
class DropIndex extends statement_1.Statement {
    constructor(table, name) {
        super();
        this.$kind = statement_1.STATEMENT_KIND.DROP_INDEX;
        this.$tag = statement_1.STATEMENT_TAG.EXECUTABLE;
        this.$table = table;
        this.$name = name;
    }
    static isDropIndex(object) {
        return (statement_1.Statement.isStatement(object) &&
            object.$kind === statement_1.STATEMENT_KIND.DROP_INDEX);
    }
}
exports.DropIndex = DropIndex;
