import { Statement, STATEMENT_KIND, STATEMENT_TAG } from '../statement';
import { DropBehavior } from './types';
export declare class DropSchema extends Statement {
    $kind: STATEMENT_KIND.DROP_SCHEMA;
    $name: string;
    $tag: STATEMENT_TAG.EXECUTABLE;
    $behavior: DropBehavior;
    static isDropSchema(object: any): object is DropSchema;
    constructor(name: string);
}
export declare function DropSchemaBuilder(name: string): DropSchema;
export declare namespace DropSchemaBuilder {
    var ifExists: (name: string) => DropSchema;
}
export declare type DropSchemaBuilder = typeof DropSchemaBuilder;
