import { Sql, SQL_SYMBOLE } from '../../sql';
import { XObjectName } from '../../object';
export declare class ForeignKey extends Sql {
    static isForeignKey(object: any): object is ForeignKey;
    constructor(name?: string, columns?: string[]);
    readonly $type: SQL_SYMBOLE.FOREIGN_KEY;
    $name?: string;
    $columns?: string[];
    $referenceColumns?: string[];
    $referenceTable?: XObjectName;
    $deleteCascade?: boolean;
    on(...columns: string[] | [string[]]): this;
    reference(table: XObjectName, columns: string[]): this;
    deleteCascade(): this;
}
