import { ObjectDifference } from './compare';
import { DatabaseSchema } from './schema';
export declare type SchemaDifference = ObjectDifference<DatabaseSchema>;
/**
 * 架构比较器
 */
export declare abstract class SchemaComparator {
    abstract ignorePaths: string[];
    protected equalsCompartor(defaultSchema: string, left: any, right: any, path: string): boolean | undefined;
    private isSameSchemaObject;
    compareSchema(defaultSchema: string | undefined, source: DatabaseSchema | undefined, target: DatabaseSchema | undefined): SchemaDifference | null;
}
