import '../core/base/connection';
import { Connection } from '../core/base/connection';
import '../core/base/db-provider';
import { MigrateBuilder } from './migrate-builder';
import { SchemaComparator } from './schema-comparator';
import { SchemaLoader } from './schema-loader';
export interface MigrateDbProvider {
    getMigrateBuilder(): MigrateBuilder;
    getSchemaLoader(connection: Connection): SchemaLoader;
    getSchemaComparator(): SchemaComparator;
}
declare module '../core/base/db-provider' {
    interface DbProvider extends MigrateDbProvider {
    }
}
