import { XObjectName } from "../core";
export declare function sortByDependency<T>(source: T[], dependencies: (item: T) => T[], throwOnCycle?: boolean): T[];
/**
 * 对比是否是同一个表
 * 如果任何一个名称 不存在架构，均认为它们是有相同的架构
 * @param name1 架构
 * @param name2
 * @returns
 */
export declare function isSameObject(name1: XObjectName, name2: XObjectName): boolean;
export declare function assertAst(value: any, message?: string): asserts value;
export declare function pack<T>(item: T[] | T): T[];
