export declare class AsyncEventEmitter {
    private _listeners;
    private _bind;
    on(event: string, handler: (...args: any) => any): this;
    once(event: string, handler: (...args: any) => any): this;
    off(event: string, handler?: (...args: any) => any): this;
    emitSync(event: string, ...args: any): void;
    emit(event: string, ...args: any): Promise<void>;
}
