"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.comment = exports.getComment = void 0;
require("reflect-metadata");
const COMMENT_KEY = Symbol('lubejs:comment');
function getComment(target, key) {
    if (key) {
        return Reflect.getMetadata(COMMENT_KEY, target, key);
    }
    return Reflect.getMetadata(COMMENT_KEY, target);
}
exports.getComment = getComment;
function comment(msg) {
    return function (target, key) {
        if (key) {
            Reflect.defineMetadata(COMMENT_KEY, msg, target, key);
        }
        else {
            Reflect.defineMetadata(COMMENT_KEY, msg, target);
        }
    };
    // return function (
    //   target: EntityConstructor | DbContextConstructor | Object,
    //   key?: string
    // ) {
    //   if (typeof target === 'function') {
    //     if (isExtendsOf(target, DbContext)) {
    //       setContextOptions(target as DbContextConstructor, {
    //         comment: msg,
    //       });
    //     } else {
    //       setEntityOptions(target as EntityConstructor, {
    //         comment: msg,
    //       });
    //     }
    //   } else {
    //     setColumnOptions(target.constructor as EntityConstructor, key!, {
    //       comment: msg,
    //     });
    //   }
    // };
}
exports.comment = comment;
