import { EntityConstructor } from "../entity";
import 'reflect-metadata';
export declare type IndexOptions = {
    name: string;
    isUnique?: boolean;
    isClustered?: boolean;
    properties?: string[] | {
        [prop: string]: 'ASC' | 'DESC';
    };
};
export declare function getIndexOptions(target: EntityConstructor, key: string): IndexOptions | undefined;
export declare function index(name?: string): PropertyDecorator;
export declare function index(name: string, properties: string[] | {
    [prop: string]: 'ASC' | 'DESC';
}, isUnique?: boolean, isClustered?: boolean): ClassDecorator;
export declare function unique(isClustered?: boolean): PropertyDecorator;
